## Introduction

[Pingu](http://addons.heroku.com/pingu) makes sure your applications don't sleep on the job.

Pingu will never let your applications slack off again. After adding Pingu, it will constantly
check if your application is awake (checking if it responds to requests) and monitor how
well it's performing (measuring the latency of its responses).

## Installing the Pingu add-on

To start using Pingu on Heroku, simply install the addon:

    $ heroku addons:add pingu

Once Pingu has been added, a `PINGU_APP_ID` setting will be available in your app configuration, containing the
[[variable purpose, i.e. "canonical URL used to access the newly provisioned Pingu service instance."]].
This can be confirmed using the `heroku config:get` command.

After installing Pingu, the application should be configured to fully integrate with the add-on.

## Troubleshooting

If for some truly unexpected reason, Pingu doesn't seem to be doing its job properly, please contact 
us at support@pinguapp.com, and we'll do our very best to solve your issue.

## Migrating between plans

<div class="note" markdown="1">Application owners should carefully manage their migration timing to ensure proper application functioning during the migration process.</div>

[[Specific migration process or any migration tips 'n tricks]]

Use the `heroku addons:upgrade` command to migrate to a new plan.

    $ heroku addons:upgrade pingu:newplan

## Removing the Pingu add-on

Pingu may be removed via the CLI. Please be aware that any data stored in Pingu will be lost once this operation is performed.

    $ heroku addons:remove pingu

## Additional information

Check out Pingu or email us at support@pinguapp.com.

All Pingu support related issues should be submitted via one of the [Heroku Support channels](support-channels).
Any non-support related issues or product feedback is welcome in [[your channels]].
